Bug 1035682 - Unable to run bashdb via ddd
Summary: Unable to run bashdb via ddd
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ddd
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-28 09:56 UTC by Pavel Raiskup
Modified: 2016-07-19 10:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 10:39:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Pavel Raiskup 2013-11-28 09:56:02 UTC
When I run:

  ddd --debugger /usr/bin/bashdb ANY_SCRIPT

... ddd always hangs on 'Openning session "some_hash"'.

I have no ~/.ddd directory before I start ddd and no ~/.gdbinit file so
everything should be clean.  It should be reproducible on any F20 box, but
I may give any other info if you ask.

Comment 1 Gwyn Ciesla 2014-02-20 17:06:32 UTC
I can reproduce this.  Does this occur with any other debuggers?

Comment 2 Pavel Raiskup 2014-02-20 17:42:27 UTC
(In reply to Jon Ciesla from comment #1)
> I can reproduce this.  Does this occur with any other debuggers?

At least for gdb it works OK (as I use gdb directly, I tried it just on simple
int main() {} program).  I haven't used ddd for any other language so far.

Comment 3 Gwyn Ciesla 2014-02-20 18:54:56 UTC
Seems to be a known issue but unresolved.  Filed upstream bug.

https://savannah.gnu.org/bugs/index.php?41649

Comment 4 Gwyn Ciesla 2014-03-25 12:52:04 UTC
Workaround from upstream bug:

"I've been experiencing the same thing.

I did notice though that (for some strange reason) if I type "exit" in the
lower-pane of ddd, this seems to kill one instance of bashdb, and then another
instance of bashdb seems to run.

This 2nd instance of bashdb seems to play more nicely within ddd, with the
bash-script source finally appearing in the top-pane and allowing you to
step-through and debug.

Perhaps this can be a workaround for now."

Comment 5 Fedora End Of Life 2015-05-29 09:52:29 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-11-04 15:31:30 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2016-07-19 10:39:24 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.